API Reference

Build powerful integrations with BeautyOS REST API

Authentication

Bearer token authentication

Authorization: Bearer {token}

Base URL

All API requests start with

https://api.beautyos.com/v1

Rate Limiting

1000 requests per minute

X-RateLimit-Reset: 1640995200

Authentication

POST /api/v1/auth/login

Login to the API

POST /api/v1/auth/register

Register a new user

POST /api/v1/auth/logout Auth required

Logout from the API

GET /api/v1/auth/user Auth required

Get authenticated user details

Clients

GET /api/v1/clients Auth required

List all clients

POST /api/v1/clients Auth required

Create a new client

GET /api/v1/clients/{id} Auth required

Get a specific client

PUT /api/v1/clients/{id} Auth required

Update a client

DELETE /api/v1/clients/{id} Auth required

Delete a client

GET /api/v1/clients/{id}/history Auth required

Get client appointment history

Appointments

GET /api/v1/appointments Auth required

List all appointments

POST /api/v1/appointments Auth required

Create a new appointment

GET /api/v1/appointments/{id} Auth required

Get a specific appointment

PUT /api/v1/appointments/{id} Auth required

Update an appointment

DELETE /api/v1/appointments/{id} Auth required

Delete an appointment

GET /api/v1/appointments/calendar Auth required

Get calendar view of appointments

Staff

GET /api/v1/staff Auth required

List all staff

POST /api/v1/staff Auth required

Create a new staff member

GET /api/v1/staff/{id} Auth required

Get a specific staff member

PUT /api/v1/staff/{id} Auth required

Update a staff member

DELETE /api/v1/staff/{id} Auth required

Delete a staff member

Services

GET /api/v1/services Auth required

List all services

POST /api/v1/services Auth required

Create a new service

GET /api/v1/services/{id} Auth required

Get a specific service

PUT /api/v1/services/{id} Auth required

Update a service

DELETE /api/v1/services/{id} Auth required

Delete a service

POS & Transactions

POST /api/v1/pos/transaction Auth required

Process a POS transaction

GET /api/v1/transactions Auth required

List all transactions

GET /api/v1/transactions/{id} Auth required

Get a specific transaction

POST /api/v1/transactions/{id}/void Auth required

Void a transaction

Inventory

GET /api/v1/products Auth required

List all products

POST /api/v1/products Auth required

Create a new product

GET /api/v1/products/{id} Auth required

Get a specific product

PUT /api/v1/products/{id} Auth required

Update a product

DELETE /api/v1/products/{id} Auth required

Delete a product

GET /api/v1/inventory/low-stock Auth required

Get low stock alerts

Marketing

POST /api/v1/marketing/sms Auth required

Send an SMS campaign

POST /api/v1/marketing/whatsapp Auth required

Send a WhatsApp broadcast

GET /api/v1/marketing/campaigns Auth required

List all campaigns

GET /api/v1/marketing/campaigns/{id} Auth required

Get a specific campaign

Reports

GET /api/v1/reports/revenue Auth required

Get revenue reports

GET /api/v1/reports/commission Auth required

Get commission reports

GET /api/v1/reports/staff-performance Auth required

Get staff performance reports

GET /api/v1/reports/client-retention Auth required

Get client retention reports

GET /api/v1/reports/inventory Auth required

Get inventory reports

Authentication Example

                    
curl -X POST https://api.beautyos.com/v1/auth/login \
  -H "Content-Type: application/json" \
  -d '{
    "email": "admin@beautyos.com",
    "password": "your_password"
  }'

# Response
{
  "access_token": "eyJhbGciOiJIUzI1NiIs...",
  "token_type": "Bearer",
  "expires_in": 3600,
  "user": {
    "id": 1,
    "name": "Admin User",
    "email": "admin@beautyos.com"
  }
}
                    
                

Ready to Build Something Amazing?

Get your API keys and start building integrations today